%define upstream_name    Dist-Zilla-Role-DynamicConfig
%define upstream_version 1.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Role that accepts a dynamic configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This is a role for a Dist::Zilla::Role::Plugin (or possibly other classes)
that accepts a dynamic configuration.

Plugins performing this role must define the /separate_local_config
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Jul 25 2011 jquelin <jquelin> 1.2.0-1.mga2
+ Revision: 128697
- update to 1.002

* Wed Mar 16 2011 jquelin <jquelin> 1.1.2-1.mga1
+ Revision: 72426
- imported package perl-Dist-Zilla-Role-DynamicConfig


* Wed Mar 16 2011 cpan2dist 1.001002-1mga
- initial mageia release, generated with cpan2dist
